## The (non-central) Chi-Square Distribution

## Usage

    dchisq(x, df, ncp=0)
    pchisq(q, df, ncp=0)
    qchisq(p, df, ncp=0)
    rchisq(n, df)

## Arguments

`x,q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations to generate.
`df` | degrees of freedom.
`ncp` | non-centrality parameter.

## Value

These functions provide information about the chi-square (chi^2) distribution with `df` degrees of freedom and optional non-centrality parameter `ncp`.

The chi-square distribution with `df`= n degrees of freedom has density

f_n(x) = 1 / (2^(n/2) Gamma(n/2)) x^(n/2-1) e^(-x/2)

for x > 0.

`dchisq` gives the density f_n, `pchisq` gives the distribution function F_n, `qchisq` gives the quantile function and `rchisq` generates random deviates.

The non-central chi-square distribution with `df`= n degrees of freedom and non-centrality parameter `ncp` = &lambda has density

f(x) = exp(-lambda/2) SUM_{r=0}^infty ((lambda/2)^r / r!) dchisq(x, df + 2r)

for x >= 0.

## See Also

`dgamma` for the gamma distribution which generalizes the chi-square one.

## Examples

    dchisq(1, df=1:3)
    pchisq(1, df= 3)
    pchisq(1, df= 3, ncp = 0:4)# includes the above

    x <- 1:10
    ## Chisquare( df = 2) is a special exponential distribution
    dchisq(x, df=2) == dexp(x, 1/2)
    pchisq(x, df=2) == pexp(x, 1/2)#- only approximately

[Package Contents]